Subject: Re: bug#5206: OPTION key combinations using international keyboards in the NEXTSTEP versions of Emacs don't work

From: Jan Djärv <[email-masked]>
Date: Mon, 14 Dec 2009 09:02:20 +0100

Anders Bolt-Evensen skrev 2009-12-13 11.18:
> Hey!
>
> I've been working on Emacs for some time now, and recently I started using the Mac OS X user interface instead of the X windowing system.
> But there is one problem: I'm using a Norwegian keyboard, and to use characters like |, [, ], {, } and a few other characters I need to use either the OPTION or SHIFT+OPTION keys. In the NEXTSTEP version of Emacs the OPTION key is defined as the meta key.
>
> OPTION+7 = |
> OPTION+8 = [
> OPTION+9 = ]
> SHIFT+OPTION+7 = \
> SHIFT+OPTION+8 = {
> SHIFT+OPTION+9 = }
>
> When I press the OPTION+7 keys, the vertical bar should appear as seen in the list above, but insted nothing happens until I press an other key, in this case I used the A key, and "aaaaaaa" appears. When I press the SHIFT+OPTION+7 keys, the word "system" appears. This problem only applies to the NEXTSTEP version - the terminal and X window versions work as they should.
>

The defaults used for Emacs is really bad, it makes Emacs almost unusable for 
any text input if you have a non-english keyboard.

Here is what I do as a workaround:

M-x customize-group <return> ns <return>

Scroll down a bit and you see
NS Command Modifier: [Value Menu] super
...
NS Alternate modifier: [Value Menu] meta

If you change those so that command is meta and alternate modifier is No 
modifier you can then use Alt as ususal (i.e. Alt 7 gives | as normal) and use 
the Command-key as meta.

I don't understand why there is a default mapping from Command-key to super. 
Super is very little used and many binding seems to be duplicates of other 
bindings.

	Jan D.